<span class="badge badge-primary">Expense Detail</span>
<div class="row" *ngIf="expenseDetail.length > 0">
  <div class="col-12 table-responsive">
    <p-table id="exportTable"
             class="text-left"
             [columns]="columnName"
             [value]="(data$)"
             [resizableColumns]="true"
             [autoLayout]="true"
             [paginator]="true"
             [rows]="10"
             [showCurrentPageReport]="true">
      <ng-template pTemplate="caption">
        List of Expenses
        :&nbsp;{{ totalRecords }}
        <button type="button"
                pButton pRipple icon="pi pi-file-excel"
                (click)="exportExcel()"
                class="p-button-success p-mr-2"
                pTooltip="XLS"
                tooltipPosition="bottom">
        </button>
      </ng-template>
      <ng-template pTemplate="header" let-columns>
        <tr>
          <th *ngFor="let col of columns" [pSortableColumn]="col.value">
            {{col.name}}
            <p-sortIcon [field]="col.value"></p-sortIcon>
          </th>
        </tr>
      </ng-template>

      <ng-template pTemplate="body" let-list let-i="rowIndex">
        <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
          <td>{{ i + 1}}</td>
          <td>{{ list.debitBranch?.name + '( ' + list.debitBranch?.code + ' )' }}</td>
          <td>{{ list.accountHead +' ( '+ list.accountHeadNumber+' ) '}}</td>
          <td>{{ list.creditBranch?.name + '( ' + list.creditBranch?.code + ' )' }}</td>
          <td>{{ list.creditAccount  }}
            <app-dynamic-dialog
              [popupType]="'account-detail'"
              [accountNumber]="list.creditAccount">
            </app-dynamic-dialog>
          </td>
          <td>{{ list.amount | currency: 'NPR. '}}</td>
          <td>{{ list.tdsAmount | currency: 'NPR. ' }}</td>
          <td>{{ (list.amount - list.tdsAmount) | currency: 'NPR. ' }}</td>
          <td>{{ list.expenseDescription}}</td>
          <td *ngIf="isApprovedBillPayment">
          </td>
          <td>
            <a>
              <app-dynamic-dialog [popupType]="'bill-budget-detail'"
                                  [expenditureDetailId]="expenditureDetailId"
                                  [expenditureTxnDetailId]="list.expenditureTxnDetailId"
              ></app-dynamic-dialog>
              &nbsp;
              <button type="button"
                      *ngIf="showEdit && approvalType === 'verify'"
                      class="btn btn-primary btn-xs"
                      (click)="updateDetail(list, list.expenditureTxnDetailId)"
              ><i class="pi pi-check-square"></i></button>
              <button type="button" (click)="showAllMemos(list.debitBranch.branchId, list.accountHeadId )"
              ><i class="pi pi-eye"></i></button>
            </a>

          </td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>


<p-dialog [(visible)]="showConfirmation"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    Edit Transaction Entry
  </p-header>
  <form [formGroup]="updateTxnDetailForm" *ngIf="allBranch && accountHeads">
    <div class="form-group">
      <label>Debit Branch</label>
      <select id="debitBranch"
              class="form-control"
              name="debitBranch"
              formControlName="debitBranchId"
              required>
        <option *ngFor="let event of (allBranch); let i = index"
                [ngValue]="(allBranch)[i].branchId"
        >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
      </select>
    </div>
    <div class="form-group">
      <label>Account Head</label>
      <select id="accountHead"
              class="form-control"
              formControlName="accountHeadId"
              name="accountHead"
              required
      >
        <option *ngFor="let event of (accountHeads); let i = index"
                [ngValue]="(accountHeads)[i].accountHeadId"
        >{{(accountHeads)[i].description + ' ( ' + (accountHeads)[i].code + ' )'}}</option>
      </select>
    </div>
    <div class="form-group">
      <label>Credit Branch</label>
      <select id="creditBranch"
              class="form-control"
              name="creditBranch"
              formControlName="creditBranchId"
              required>
        <option *ngFor="let event of (allBranch); let i = index"
                [ngValue]="(allBranch)[i].branchId"
        >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
      </select>
    </div>
    <div class="form-group">
      <label for="crAccountNumber">Credit Ac Number<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="crAccountNumber"
             placeholder="Enter Subject"
             formControlName="creditAccountNumber"
             [ngClass]="{ 'is-invalid': submitted && f.creditAccountNumber.errors }"
             required
      >
      <div *ngIf="submitted && f.creditAccountNumber.errors" class="invalid-feedback">
        <div *ngIf="f.creditAccountNumber.errors.required">Credit Account Number Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="crAccountNumber">Amount<span class="required">*</span></label>
      <input type="number"
             class="form-control"
             id="amount"
             placeholder="Enter Amount"
             formControlName="amount"
             [ngClass]="{ 'is-invalid': submitted && f.amount.errors }"
             required
      >
      <div *ngIf="submitted && f.amount.errors" class="invalid-feedback">
        <div *ngIf="f.amount.errors.required">Debit Amount is Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="tdsAmount">TDS Amount<span class="required">*</span></label>
      <input type="number"
             class="form-control"
             id="tdsAmount"
             placeholder="Enter Amount"
             formControlName="tdsAmount"
             [ngClass]="{ 'is-invalid': submitted && f.tdsAmount.errors }"
             required
      >
      <div *ngIf="submitted && f.tdsAmount.errors" class="invalid-feedback">
        <div *ngIf="f.tdsAmount.errors.required">Tds Amount is Required.</div>
      </div>
    </div>
    <div class="form-group">
      <label for="description">Description<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="description"
             placeholder="Enter Description"
             formControlName="description"
             [ngClass]="{ 'is-invalid': submitted && f.description.errors }"
             required
      >
      <div *ngIf="submitted && f.description.errors" class="invalid-feedback">
        <div *ngIf="f.description.errors.required">Description is Required.</div>
      </div>
    </div>
    <div class="form-group">
      <label for="remarks">Remarks<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="remarks"
             placeholder="Enter Remarks"
             formControlName="remarks"
             [ngClass]="{ 'is-invalid': submitted && f.remarks.errors }"
             required
      >
      <div *ngIf="submitted && f.remarks.errors" class="invalid-feedback">
        <div *ngIf="f.remarks.errors.required">Remarks is Required.</div>
      </div>
    </div>
    <span *ngIf="showAmountMissMatchMessage" style="color: red">
      Updated value cant be more then previous value. Please, check
    </span>
    <div class="row">
      <div class="col-sm-6">
        <button class="btn btn-success btn-block"
                [disabled]="loading"
                (click)="submitDetail()">
          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
          Submit
        </button>
      </div>
      <div class="col-sm-6">
        <button class="btn btn-danger btn-block"
                (click)="cancel()">
          Cancel
        </button>
      </div>
    </div>
  </form>
</p-dialog>



<p-dialog [(visible)]="showReport"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '890px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">Account Head and branch wise Details</h3>
  </p-header>
  <p-table id="exportTable1"
           class="text-center"
           [columns]="columnNameMemos"
           [value]="(dataMemos$)"
           [resizableColumns]="true"
           [autoLayout]="true">

    <ng-template pTemplate="caption">
      List of Memos with same vendor
      :&nbsp;{{ totalMemosRecords }}
    </ng-template>
    <ng-template pTemplate="header" let-columns>
      <tr>
        <th *ngFor="let col of columns" [pSortableColumn]="col.value">
          {{col.name}}
          <p-sortIcon [field]="col.value"></p-sortIcon>
        </th>
      </tr>
    </ng-template>

    <ng-template pTemplate="body" let-list let-i="rowIndex">
      <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
        <td>{{ i + 1 + itemsPerPageMemos * pageMemos }}</td>
        <td>{{list.memoCode}}</td>
        <td>{{list.subject}}</td>
        <!--              <td style="overflow-wrap: anywhere">{{list.description}}</td>-->
        <td>{{list.currentBillPaymentStatus}}</td>
        <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
        <td>{{list.fiscalYear}}</td>
        <td>{{list.billAmount | currency: 'NPR. '}}</td>
        <td>
          <button (click)="goTo()"
                  class="btn btn-success btn-xs mr-2" target="_blank">
            <i class="pi pi-eye" style="font-size: 1rem"></i>
          </button>
        </td>
      </tr>
    </ng-template>
  </p-table>
  <p-paginator
    [rows]="itemsPerPageMemos"
    [totalRecords]="totalMemosRecords"
    pageLinkSize="3"
    [rowsPerPageOptions]="rowsPerPageOptionsMemos"
    (onPageChange)="paginate($event)">
  </p-paginator>
</p-dialog>
